petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexReconstructGradientsFVM

reconstruct the gradient of a vector using a finite volume method.

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexReconstructGradientsFVM(DM dm, Vec locX, Vec grad)

### Input Parameters

| dm | - the mesh
| locX | - the local representation of the vector

### Output Parameter

grad -the global representation of the gradient

### See Also

DMPlexSNESGetGradientDM()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages